const width = 600;

const linearScale = d3.scaleLinear()
	.domain([-50, 50])
	.range([0, width])
	.nice();

const clickedArea = d3.select('.clicked-area').node();

// Construct Axis
d3
  .select('.axis')
  .call(d3.axisBottom(linearScale));

// Update Click area size
d3
  .select('.clicked-area')
	.attr('width', width)
	.attr('height', 40)
	.style('fill', '#ccc')
	.attr('cursor', 'pointer')
	.on('click', doClick);

function doClick(e) {
  const pos = d3.pointer(e, clickedArea);
  const xPos = pos[0];
  const yPos = post[1];
  const value = linearScale.invert(xPos);
  d3.select('.info').text('You clicked ' + value.toFixed(2));
}