import {
  // Continuous Input -> Continuous Output
	scaleLinear, // data -> position & length
  scaleSqrt, // best for sizing circles of a circle
  scalePow,
  scaleLog, 
  scaleTime,
  scaleSequential,
  
  // Continuous Input -> Discrete Output
  scaleQuantize, 
  scaleQuantile,
  scaleThreshold,
  
  // Discrete Input -> Discrete Output
  scaleOrdinal, 
  scaleBand,
  scalePoint
} from 'd3';

export const getScale = (scale) => {
  let myScale = null;
  
  switch(scale.toLowerCase()) {
    case ('linear' || 'line'):
      	myScale = scaleLinear();
        break;
    case ('sqrt' || 'squareroot' || 'square root'): 
      	myScale = scaleSqrt();
      	break;
    case 'power':
      	myScale = scalePow();
      	break;
    case ('log' || 'logarithm'): 
      	myScale = scaleLog();
      	break;
    case 'time': 
      	myScale = scaleTime();
      	break;
    case 'sequential':
      	myScale = scaleSequential();
      	break;
    case 'quantile':
      	myScale = scaleQuantile();
      	break;
    case 'quantize':
      	myScale = scaleQuantize();
      	break;
    case 'threshold':
      	myScale = scaleThreshold();
      	break;
    case 'ordinal': 
      	myScale = scaleOrdinal();
      	break;
    case 'band':
      	myScale = scaleBand();
      	break;
    case 'point':
      	myScale = scalePoint();
      	break;
    default: 
      	myScale = scaleLinear();
      	break;
  }
  
  return myScale;
}